Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.GlobalColor

    java.lang.Object
      java.lang.Enum<Qt.GlobalColor>
          com.trolltech.qt.core.Qt.GlobalColor

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.GlobalColor>

Enclosing interface:
  Qt

    public static enum Qt.GlobalColor

extends java.lang.Enum<Qt.GlobalColor>
implements QtEnumerator

Qt's predefined `QColor` objects:

Constant | Value | Description
--- | --- | ---
`white` | `3` | White `(#ffffff)`
`black` | `2` | Black `(#000000)`
`red` | `7` | Red `(#ff0000)`
`darkRed` | `13` | Dark red `(#800000)`
`green` | `8` | Green `(#00ff00)`
`darkGreen` | `14` | Dark green `(#008000)`
`blue` | `9` | Blue `(#0000ff)`
`darkBlue` | `15` | Dark blue `(#000080)`
`cyan` | `10` | Cyan `(#00ffff)`
`darkCyan` | `16` | Dark cyan `(#008080)`
`magenta` | `11` | Magenta `(#ff00ff)`
`darkMagenta` | `17` | Dark magenta `(#800080)`
`yellow` | `12` | Yellow `(#ffff00)`
`darkYellow` | `18` | Dark yellow `(#808000)`
`gray` | `5` | Gray `(#a0a0a4)`
`darkGray` | `4` | Dark gray `(#808080)`
`lightGray` | `6` | Light gray `(#c0c0c0)`
`transparent` | `19` | a transparent black value (i.e., `QColor`(0, 0, 0, 0))
`color0` | `0` | 0 pixel value (for bitmaps)
`color1` | `1` | 1 pixel value (for bitmaps)

See Also:
  `QColor`

Enum Constant Summary
`black` Black `(#000000)`
`blue` Blue `(#0000ff)`
`color0` 0 pixel value (for bitmaps)
`color1` 1 pixel value (for bitmaps)
`cyan` Cyan `(#00ffff)`
`darkBlue` Dark blue `(#000080)`
`darkCyan` Dark cyan `(#008080)`
`darkGray` Dark gray `(#808080)`
`darkGreen` Dark green `(#008000)`
`darkMagenta` Dark magenta `(#800080)`
`darkRed` Dark red `(#800000)`
`darkYellow` Dark yellow `(#808000)`
`gray` Gray `(#a0a0a4)`
`green` Green `(#00ff00)`
`lightGray` Light gray `(#c0c0c0)`
`magenta` Magenta `(#ff00ff)`
`red` Red `(#ff0000)`
`transparent` a transparent black value (i.e., `QColor`(0, 0, 0, 0))
`white` White `(#ffffff)`
`yellow` Yellow `(#ffff00)`

Method Summary
`static Qt.GlobalColor` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.GlobalColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.GlobalColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### color0

    public static final Qt.GlobalColor color0

  0 pixel value (for bitmaps)

### color1

    public static final Qt.GlobalColor color1

  1 pixel value (for bitmaps)

### black

    public static final Qt.GlobalColor black

  Black `(#000000)`

### white

    public static final Qt.GlobalColor white

  White `(#ffffff)`

### darkGray

    public static final Qt.GlobalColor darkGray

  Dark gray `(#808080)`

### gray

    public static final Qt.GlobalColor gray

  Gray `(#a0a0a4)`

### lightGray

    public static final Qt.GlobalColor lightGray

  Light gray `(#c0c0c0)`

### red

    public static final Qt.GlobalColor red

  Red `(#ff0000)`

### green

    public static final Qt.GlobalColor green

  Green `(#00ff00)`

### blue

    public static final Qt.GlobalColor blue

  Blue `(#0000ff)`

### cyan

    public static final Qt.GlobalColor cyan

  Cyan `(#00ffff)`

### magenta

    public static final Qt.GlobalColor magenta

  Magenta `(#ff00ff)`

### yellow

    public static final Qt.GlobalColor yellow

  Yellow `(#ffff00)`

### darkRed

    public static final Qt.GlobalColor darkRed

  Dark red `(#800000)`

### darkGreen

    public static final Qt.GlobalColor darkGreen

  Dark green `(#008000)`

### darkBlue

    public static final Qt.GlobalColor darkBlue

  Dark blue `(#000080)`

### darkCyan

    public static final Qt.GlobalColor darkCyan

  Dark cyan `(#008080)`

### darkMagenta

    public static final Qt.GlobalColor darkMagenta

  Dark magenta `(#800080)`

### darkYellow

    public static final Qt.GlobalColor darkYellow

  Dark yellow `(#808000)`

### transparent

    public static final Qt.GlobalColor transparent

  a transparent black value (i.e., `QColor`(0, 0, 0, 0))

Method Detail

### values

    public static final Qt.GlobalColor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.GlobalColor c : Qt.GlobalColor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.GlobalColor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.GlobalColor resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD